export declare type Route = {
    path: string;
    regexp: string;
    params: (string | number)[];
};
/**
 * Router
 */
export default class Router {
    routes: Route[];
    cache: {
        [path: string]: any;
    };
    constructor(routes?: Route[]);
    push(url: string): Promise<void>;
    replace(url: string): Promise<void>;
    _update(Component: any, path: string): Promise<void>;
    private error;
    private onPopState;
    private possLoad;
    private load;
    private get;
    private renderComponent;
    private getURL;
    private evaluate;
    private findRoute;
}
